package com.zjrs.ggfw.rlzysc.blo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.ggfw.rlzysc.dto.ZwxxListDTO;
import com.zjrs.ggfw.rlzysc.dto.ZwxxQueryDTO;
import com.zjrs.ggfw.rlzysc.po.RsRlzyZwxxPO;

import java.util.List;

public interface ZwxxBLO {
   public RsRlzyZwxxPO getZyxxById(ZwxxQueryDTO dto); //获取职位详细信息

   public PageResult getZyxxList(ZwxxQueryDTO dto, int page, int rows); //获取职位信息列表

    public List<ZwxxListDTO> getRecentZyxxList(); //获取最近浏览职位信息列表

    public List<RsRlzyZwxxPO> getXszw(String zwlx,String zwxxlsh);//相似职位
}

